#!/bin/sh -e

CONTAINER_NAME=Firefly

case "$1" in
    start)
        echo "Start Firefly container..."
        docker start ${CONTAINER_NAME}
        sleep 6
        ;;
    stop)
        echo "Stop Firefly container..."
        docker stop ${CONTAINER_NAME}
        sleep 6
        ;;
    reload)
        echo "Reload Firefly container..."
        docker stop ${CONTAINER_NAME}
        sleep 6
        docker start ${CONTAINER_NAME}
        sleep 6
        ;;
    *)
        echo "Usage: $0 {start|stop|reload}"
        exit 1
        ;;
esac
exit 0
